data:extend(
{  
	
	-- farming		
	{
		type = "assembling-machine",
		name = "ye_farm",
		icon = "__yi_engines__/graphics/entity/farm-icon.png",
		flags = {"placeable-neutral","placeable-player", "player-creation"},
		minable = {hardness = 0.2, mining_time = 0.5, result = "ye_farm"},
		max_health = 250,
		corpse = "medium-remnants",		
		fluid_boxes =
		{
			--[[
			{
				production_type = "output",
				base_area = 1,
				base_level = 1,
				pipe_connections = {
					{type="output", position = {1.5, 0.5}},										
				}
			},
			]]			
			{
				production_type = "input",
				base_area = 5,
				base_level = -1,
				pipe_connections = {
					{type="input", position = {2,-3}},								
				}
			},							
		},
		collision_box = {{-2.3, -2.3}, {2.3, 2.3}},
		selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
		fast_replaceable_group = "assembling-machine",
		animation =
		{
			north = { filename = "__yi_engines__/graphics/entity/farm-sheet-ns.png", width = 192, height = 192, shift = {0.44, -0.22}, frame_count = 16, line_length = 4, animation_speed=0.01, },						
			east = { filename = "__yi_engines__/graphics/entity/farm-sheet-ew.png", width = 192, height = 192, shift = {0.19, -0.34}, frame_count = 16, line_length = 4, animation_speed=0.01, }	,					
			south = { filename = "__yi_engines__/graphics/entity/farm-sheet-ns.png", width = 192, height = 192, shift = {0.44, -0.22}, frame_count = 16, line_length = 4, animation_speed=0.01, },						
			west = { filename = "__yi_engines__/graphics/entity/farm-sheet-ew.png", width = 192, height = 192, shift = {0.19, -0.34}, frame_count = 16, line_length = 4, animation_speed=0.01, }	,					
		},		
		crafting_categories = {"yrcat_farm"},
		crafting_speed = 1.0,
		
		energy_source = {		
			type = "electric",
			usage_priority = "secondary-input",
			emissions = 0.1, 
		},
		energy_usage = "50kW",						
		ingredient_count = 1,
		order="a",
		subgroup = "yie-engines",
	},			
	
	{
		type = "recipe",
		name = "ye_farm_recipe",
		ingredients = {{"stone-brick",12},{"pipe",1},{"y-iron-case",1},},
		result = "ye_farm",
		enabled = "true",		
		result_count = 1,
		order="1",
		subgroup = "yie-engines",
	},	
	
	{
		type = "item",
		name = "ye_farm",
		icon = "__yi_engines__/graphics/entity/farm-icon.png",
		flags = {"goes-to-quickbar"},
		order = "1",
		place_result = "ye_farm",
		stack_size = 20,
	},	

	-- farm related stuff and recipes

	-- core seed
	{ type = "recipe", name = "ye-seed_a1-recipe", ingredients = {{"raw-wood",50},}, result = "ye_seed_a",enabled = "true",		result_count = 1, order="1", subgroup = "yie-engines",},	
	{ type = "recipe", name = "ye-seed_a2-recipe", ingredients = {{"ye_corn_a",20},}, result = "ye_seed_a", enabled = "true", result_count = 1, order="1", subgroup = "yie-engines", },	
	
	-- growing seeds
	{
		type = "recipe",
		name = "ye-growcorn-recipe",
		category = "yrcat_farm",				
		enabled = "true",
		energy_required = 300,
		ingredients = {
			{ type="fluid", name="water", amount=500 },
			{ type="item", name="ye_seed_a", amount=1 },
			--{ type="fluid", name="y-mechanical-force", amount=0.2 },
		},
		results={
			{ type="item", name="ye_corn_a", amount=500, },
		},		
		icon = "__yi_engines__/graphics/corn-icon.png", subgroup = "yie-processed",			
	},	

	-- process corn to fluid-stage
	{
		type = "recipe",
		name = "ye-corn2fluid-recipe",
		category = "yuoki-formpress-recipe",				
		enabled = "true",
		energy_required = 30,
		ingredients = {
			{ type="fluid", name="y-mechanical-force", amount=0.2 },
			{ type="item", name="ye_corn_a", amount=100 },						
		},
		results={
			{ type="fluid", name="ye_cornoil", amount=20, },
		},		
		icon = "__yi_engines__/graphics/steam-low.png", subgroup = "yie-processed",			
	},	
	
	-- process corn-oil to lubricant	
	{
		type = "recipe",
		name = "ye-cf2lubricant-recipe",
		category = "chemistry",				
		enabled = "true",
		energy_required = 2,
		ingredients = {			
			{ type="fluid", name="ye_cornoil", amount=30 },
		},
		results={
			{ type="fluid", name="lubricant", amount=10, },
		},		
		icon = "__yi_engines__/graphics/lubricant.png", subgroup = "yie-processed",			
	},	
	
		
	{ type = "item", name = "ye_seed_a", icon = "__yi_engines__/graphics/seed-icon.png", flags = {"goes-to-quickbar"}, order = "1", stack_size = 25, },	
	{ type = "item", name = "ye_corn_a", icon = "__yi_engines__/graphics/corn-icon.png", flags = {"goes-to-quickbar"}, order = "1", stack_size = 500, },	

	
}
)	
